package com.iamberry.wechat.core.entity.drp;

import java.io.Serializable;
import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;

public class PlaceRoleInfo implements Serializable{

	private static final long serialVersionUID = -1147297727949629824L;

	private Integer roleId;		//角色id
	
	private String roleName;		//角色名称
	
	private Date roleCreateDate;		//创建时间
	
	private Date roleUpdateDate;		//更新时间
	
	private Integer roleStatus;			//状态
	
	private Integer roleType;				//角色类型  1：商户层；2：微代理
	
	
	public Integer getRoleType() {
		return roleType;
	}

	public void setRoleType(Integer roleType) {
		this.roleType = roleType;
	}

	private PageBean page = new PageBean(); //分页信息

	public Integer getRoleId() {
		return roleId;
	}

	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	public Date getRoleCreateDate() {
		return roleCreateDate;
	}

	public void setRoleCreateDate(Date roleCreateDate) {
		this.roleCreateDate = roleCreateDate;
	}

	public Date getRoleUpdateDate() {
		return roleUpdateDate;
	}

	public void setRoleUpdateDate(Date roleUpdateDate) {
		this.roleUpdateDate = roleUpdateDate;
	}

	public Integer getRoleStatus() {
		return roleStatus;
	}

	public void setRoleStatus(Integer roleStatus) {
		this.roleStatus = roleStatus;
	}

	public PageBean getPage() {
		return page;
	}

	public void setPage(PageBean page) {
		this.page = page;
	}
	
}
